/v0.1/merchants/{merchant_code}/readers/{reader_id}/settingsReturns the menu lock settings for a Solo reader.
For an online reader, returns the current settings. For an offline reader,
returns the last saved settings, which may differ from its current configuration.
Returns 404 if the reader is offline and no saved settings are available.
The response may include the menu lock PIN.
OAuth scopes: Requires one of: readers.read.
Required permissions:
readers.checkouts.view
Path parameters
The merchant code of the account that owns the reader.
The unique identifier of the reader.
Responses
200application/json
Reader settings retrieved successfully.
Show 1 property
401application/json
Unauthorized
application/problem+json
- format:
uriA URI reference that identifies the problem type.
Example:
"https://developer.sumup.com/problem/not-found" - titlestring
A short, human-readable summary of the problem type.
Example:
"Requested resource couldn't be found." - statusinteger
The HTTP status code generated by the origin server for this occurrence of the problem.
Example:
404 - detailstring
A human-readable explanation specific to this occurrence of the problem.
Example:
"The requested resource doesn't exist or does not belong to you." - instancestringformat:
uriA URI reference that identifies the specific occurrence of the problem.
Example:
"https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"
{
"detail": "Unauthorized",
"status": 401,
"title": "Unauthorized",
"type": "https://developer.sumup.com/problem/unauthorized"
}404application/json
The reader was not found, or it is offline and has no saved settings.
Show 1 property
Fuller message giving context to error
application/problem+json
- format:
uriA URI reference that identifies the problem type.
Example:
"https://developer.sumup.com/problem/not-found" - titlestring
A short, human-readable summary of the problem type.
Example:
"Requested resource couldn't be found." - statusinteger
The HTTP status code generated by the origin server for this occurrence of the problem.
Example:
404 - detailstring
A human-readable explanation specific to this occurrence of the problem.
Example:
"The requested resource doesn't exist or does not belong to you." - instancestringformat:
uriA URI reference that identifies the specific occurrence of the problem.
Example:
"https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"
{
"detail": "The requested resource doesn't exist or does not belong to you.",
"status": 404,
"title": "Requested resource couldn't be found.",
"type": "https://developer.sumup.com/problem/not-found"
}422application/json
The reader model is not supported, or the reader could not return its settings.
application/problem+json
- format:
uriA URI reference that identifies the problem type.
Example:
"https://developer.sumup.com/problem/not-found" - titlestring
A short, human-readable summary of the problem type.
Example:
"Requested resource couldn't be found." - statusinteger
The HTTP status code generated by the origin server for this occurrence of the problem.
Example:
404 - detailstring
A human-readable explanation specific to this occurrence of the problem.
Example:
"The requested resource doesn't exist or does not belong to you." - instancestringformat:
uriA URI reference that identifies the specific occurrence of the problem.
Example:
"https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"
{
"detail": "Reader settings are only supported for Solo readers.",
"status": 422,
"title": "Unsupported Device Model",
"type": "https://developer.sumup.com/problem/unsupported-device-model"
}